Unlock iOS 4.2.1 on iPhone 3G and iPhone 3GS With Ultrasn0w 1.2

Written By Sam on 29 November 2010
Advertisements

Here is a very good news for all those who are waiting for the updated Ultrasn0w unlock. The iPhone Dev Team has finally released the updated version of Ultrasn0w (Ultrasn0w 1.2) to unlock iOS 4.2/4.2.1. The latest version of Ultrasn0w can be used to unlock iOS 4.2 on iPhone 3G and iPhone 3GS only. So if you are an iPhone 4 user and looking for an unlock then you need to still wait for some more time.

The latest version of Ultrsn0w supports 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00 iPhone 3GS/3G basebands along with iPhone 4 baseband 01.59.00. Users have to note that iOS 4.1 baseband 05.14.02 and iOS 4.2.1 baseband 05.15.04 are not supported with Ultrsn0w 1.2. So if you are stuck on baseband 05.14 or 05.15 then you need to first update your baseband to 06.15.00 and then use the Ultrasn0w unlock.

Warning: If you are already on unlock then better stay away from this updates. Once you update the baseband to 06.15.00 you cannot get back to an earlier version. Moreover you might face issues while trying to update your device with official iOS 4.2.1.

Leave your response!